//
//  KGFacebookLikeView.m
//  KGFacebookDemo
//
//  Created by Ernesto Carrión on 1/27/12.
//  Copyright (c) 2012 Kogi Mobile. All rights reserved.
//

#import "KGFacebookLikeView.h"

@implementation KGFacebookLikeView


-(void)loadFacebookPage:(NSString *)fbPage withDelegate:(id<UIWebViewDelegate>)delegate {
        
    UIImage* closeImage = [UIImage imageNamed:@"FBDialog.bundle/images/close.png"];
    [closeButton setImage:closeImage forState:UIControlStateNormal];
    
    webView.delegate = delegate;
    
    NSString * urlString = [NSString stringWithFormat:@"http://www.facebook.com/%@", fbPage];
    NSURLRequest * request = [NSURLRequest requestWithURL:[NSURL URLWithString:urlString]];
    [webView loadRequest:request];
}

-(void)cancelButtonPresed:(id)sender {
    
    webView.delegate = nil;
    [webView stopLoading];
    
    [UIView beginAnimations:nil context:nil];
    [UIView setAnimationDuration:0.3];
    [UIView setAnimationDelegate:self];
    [UIView setAnimationDidStopSelector:@selector(postDismissCleanup)];
    self.alpha = 0;
    [UIView commitAnimations];
}

- (void)postDismissCleanup {
    [self removeFromSuperview];
}


-(void)animate {
    
    self.transform = CGAffineTransformScale(CGAffineTransformIdentity, 0.001, 0.001);
    [UIView beginAnimations:nil context:nil];
    [UIView setAnimationDuration:0.3/1.5];
    [UIView setAnimationDelegate:self];
    [UIView setAnimationDidStopSelector:@selector(bounce1AnimationStopped)];
    self.transform = CGAffineTransformScale(CGAffineTransformIdentity, 1.1, 1.1);
    [UIView commitAnimations];
}

- (void)bounce1AnimationStopped {
    [UIView beginAnimations:nil context:nil];
    [UIView setAnimationDuration:0.3/2];
    [UIView setAnimationDelegate:self];
    [UIView setAnimationDidStopSelector:@selector(bounce2AnimationStopped)];
    self.transform = CGAffineTransformScale(CGAffineTransformIdentity, 0.9, 0.9);
    [UIView commitAnimations];
}

- (void)bounce2AnimationStopped {
    [UIView beginAnimations:nil context:nil];
    [UIView setAnimationDuration:0.3/2];
    self.transform = CGAffineTransformIdentity;
    [UIView commitAnimations];
}

@end
