//
//  ViewController.m
//  KGFacebookDemo
//
//  Created by Ernesto Carrión on 1/26/12.
//  Copyright (c) 2012 Kogi Mobile. All rights reserved.
//

#import "ViewController.h"
#import "SBJSON.h"
#import "SVProgressHUD.h"

@implementation ViewController

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    
    if ([[KGFacebookManager sharedFacebookManager] isFacebookSessionValid]) {
        [logInOutButton setTitle:@"Log Out" forState:UIControlStateNormal];
    } else {
        [logInOutButton setTitle:@"Log In" forState:UIControlStateNormal];
    }
}

#pragma mark - IBAction

-(void)LogInOutButtonPressed:(id)sender {
    
    KGFacebookManager * fbManager = [KGFacebookManager sharedFacebookManager];
    
    if ([fbManager isFacebookSessionValid]) {
        [fbManager logOutOfFacebook:self];
    } else {
        [fbManager logIntoFacebook:self];
    }
}

-(void)share:(id)sender {
    
    [[KGFacebookManager sharedFacebookManager] postOnWallWithLink:@"http://www.cyanogenmod.com" linkName:@"Cyanogen Mod" linkCaption:@"Best Android Mod" linkDescription:@"Wating the Galaxy S2 Release" picture:@"http://www.techonzo.com/wp-content/uploads/2011/12/samsung-galaxy-s3.jpg" source:nil Delegte:self];
}

-(void)uploadPicToAlbum:(id)sender {
    
    [SVProgressHUD showWithStatus:@"Uploading Image to Facebook" maskType:SVProgressHUDMaskTypeBlack];
    
    [[KGFacebookManager sharedFacebookManager] postImage:[UIImage imageNamed:@"photo.jpeg"] 
                                             WithMessage:@"Photo message" 
                                                Delegate:self];
}

-(void)like:(id)sender {
 
    [[KGFacebookManager sharedFacebookManager] likePage:@"manchesterunited"];
}


#pragma mark - Facebook Delegate

-(void)facebookDidLogin {
    
    [logInOutButton setTitle:@"Log Out" forState:UIControlStateNormal];
}

-(void)facebookDidLogout {
    
    [logInOutButton setTitle:@"Log In" forState:UIControlStateNormal];
}

-(void)dialogDidCancel {
    
    
}

-(void)dialogDidSuccess {
    
    [SVProgressHUD showWithStatus:@"Share succesfull" maskType:SVProgressHUDMaskTypeBlack];
    [SVProgressHUD dismissWithSuccess:@"Share succesfull"];
}

-(void)dialogDidFailWithError:(NSError *)error {
    
    puts([[error localizedDescription] UTF8String]);
    
    [SVProgressHUD showWithStatus:@"Share not succesfull" maskType:SVProgressHUDMaskTypeBlack];
    [SVProgressHUD dismissWithError:@"Share not succesfull"];
}

-(void)imagePostingFailed {
    
    [SVProgressHUD showWithStatus:@"Image posting not succesfull" maskType:SVProgressHUDMaskTypeBlack];
    [SVProgressHUD dismissWithError:@"Image posting not succesfull"];
}

-(void)imageSuccesfullyPosted {
    
    [SVProgressHUD showWithStatus:@"Image posting succesfull" maskType:SVProgressHUDMaskTypeBlack];
    [SVProgressHUD dismissWithSuccess:@"Image posting succesfull"];
}

@end
